package com.ruoyi.llm.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 智能体对象 cmc_agent
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public class CmcAgent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 智能体id */
    private Integer agentId;

    /** 名称 */
    @Excel(name = "名称")
    private String agentName;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    public void setAgentId(Integer agentId) 
    {
        this.agentId = agentId;
    }

    public Integer getAgentId() 
    {
        return agentId;
    }
    public void setAgentName(String agentName) 
    {
        this.agentName = agentName;
    }

    public String getAgentName() 
    {
        return agentName;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("agentId", getAgentId())
            .append("agentName", getAgentName())
            .append("description", getDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
